/** 脑图theme */
export const mindTheme = {
  name: 'Latte',
  palette: [
    '#4968a3',
    '#3b88c4',
    '#4fa3d4',
    '#2b5b84',
    '#367fa2',
    '#5e93b7',
    '#4a719c',
    '#28567d',
    '#214e6d',
    '#336699',
  ],
  cssVar: {
    '--root-bgcolor': '',
    '--root-border-color': '',
    '--main-color': '#444446',
    '--main-bgcolor': '#ffffff',
    '--color': '#777777',
    '--bgcolor': '#f6f6f6',
    '--panel-color': '#444446',
    '--panel-bgcolor': '#ffffff',
    '--panel-border-color': '#eaeaea',
  },
}

/**
 * 生成基于时间戳的ID
 */
export function generateTimestampId(): string {
  const timestamp = new Date().getTime()
  const random = Math.floor(Math.random() * 10000)
  return `${timestamp}_${random}`
}
